Subject: Re: [PATCH] use winbond libata instead of ide driver for pseries CD drives

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 17 Feb 2007 08:41:19 +1100

On Fri, 2007-02-16 at 17:55 +0300, Sergei Shtylyov wrote:
> Hello.
> 
> Bartlomiej Zolnierkiewicz wrote:
> 
> >>    I'm sorry, how those 2 drivers can be equivalent?! The pata_winbond driver 
> >>is for VLB only, sl81c105 was for PCI only -- you certainly want to use 
> >>pata_sl82c105 (indeed better version of sl82c105 driver).
> 
> > I was under the impression that with your fixes these drivers
> > (sl82c105 and pata_sl82c105) are functionally equivalent.
> 
>     They're not yet equivalent. pata_sl82c105 supports all MWDMA modes, 
> sl82c105 still supports only MWDMA2.

BTW, the "old ide" sl82c105 currently upstream produces warnings on 64
bits platforms about conversion between int and pointers of different
sizes. I didn't have time to look closely yesterday though, could be
harmless.

Ben.